Bug 1109920 - Live Merge: Extend internal block volumes during merge
Summary: Live Merge: Extend internal block volumes during merge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Adam Litke
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On: 1041569 1158094
Blocks: 647386 1073943 1196199
TreeView+ depends on / blocked
 
Reported: 2014-06-16 15:49 UTC by Adam Litke
Modified: 2016-02-10 16:37 UTC (History)
11 users (show)

Fixed In Version: v4.16.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:23:42 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31268 master MERGED Live Merge: Extend internal block volumes during merge Never
oVirt gerrit 31364 master MERGED Live Merge: Return more info from _driveGetActualVolumeChain Never
oVirt gerrit 31365 master MERGED Live Merge: Update path using libvirt supplied value Never
oVirt gerrit 31366 master MERGED Live Merge: Get volume chain for multiple drives Never
oVirt gerrit 32319 ovirt-3.5 MERGED Live Merge: Return more info from _driveGetActualVolumeChain Never
oVirt gerrit 32320 ovirt-3.5 MERGED Live Merge: Update path using libvirt supplied value Never
oVirt gerrit 32322 ovirt-3.5 MERGED Live Merge: Get volume chain for multiple drives Never
oVirt gerrit 32323 ovirt-3.5 MERGED Live Merge: Extend internal block volumes during merge Never
oVirt gerrit 32327 ovirt-3.5 MERGED virt: Resolve snapshot type after prepareVolumePath Never

Description Adam Litke 2014-06-16 15:49:07 UTC
Description of problem:
Due to a missing libvirt API for retrieving the write watermark for all volumes in an image's backing chain, vdsm will not currently extend the volume that is being written to during a live merge operation.  Until fixed, this will result in failed live merges for sparse block-based disks.  Once the API is defined in libvirt, add support to vdsm to start merging internal volumes.

Related gerrit patch http://gerrit.ovirt.org/#/c/28620/ uses a qemu monitor command to provide the required information but it is not mergeable due to the unsupportability of custom monitor commands.

Comment 1 Adam Litke 2014-06-16 15:49:37 UTC
Implementation in progress.

Comment 2 Sandro Bonazzola 2014-10-17 12:23:42 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.